import request from "@/utils/request";
import { BaseResult } from "@/models/base";

const ManageApi = {
  getProductList(params: any) {
    return request<BaseResult<any>>({
      url: "/app/intoProduction",
      method: "GET",
      data: params,
    });
  },

  // 查询拉丝绞线报工
  getReportList(params: any) {
    return request<BaseResult<any>>({
      url: "/app/getWireOutput",
      method: "GET",
      data: params,
    });
  },

  // 查询自检信息
  getSelfInspection(params: any) {
    return request<BaseResult<any>>({
      url: "/app/getSelfInspection",
      method: "GET",
      data: params,
    });
  },

  // 查询领用信息
  getStrandedWireDish(params: any) {
    return request<BaseResult<any>>({
      url: "/app/getStrandedWireDish",
      method: "GET",
      data: params,
    });
  },

  // 查询杂工信息
  getBackmanDetail(params: any) {
    return request<BaseResult<any>>({
      url: "/app/getBackmanDetail",
      method: "GET",
      data: params,
    });
  },

  // 获取杂工项目
  getBackmanDetailByType(params: any) {
    return request<BaseResult<any>>({
      url: "/app/getBackmanDetailByType",
      method: "GET",
      data: params,
    });
  },
  addBackmanDetail(params: any) {
    return request<BaseResult<any>>({
      url: "/app/addBackmanDetail",
      method: "POST",
      data: params,
    });
  },
};

export default ManageApi;
